Bug 198226 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
Reported: 2006-07-10 11:10 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2_3_34-2_fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-25 04:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 11:10:11 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r

undefined symbol: pthread_create        (/usr/lib/libldap_r.so)
undefined symbol: pthread_setconcurrency        (/usr/lib/libldap_r.so)
undefined symbol: pthread_kill  (/usr/lib/libldap_r.so)
undefined symbol: pthread_attr_setstacksize     (/usr/lib/libldap_r.so)
undefined symbol: pthread_mutex_trylock (/usr/lib/libldap_r.so)
undefined symbol: pthread_join  (/usr/lib/libldap_r.so)
undefined symbol: pthread_getconcurrency        (/usr/lib/libldap_r.so)
Comment 1 Jan Safranek 2007-04-25 04:13:47 EDT
libldap_r.so is now linked with pthread - check openldap-2_3_34-2_fc7

Note You need to log in before you can comment on or make changes to this bug.